<template lang="pug">
q-scroll-area(
	v-bind="$props",
	:thumb-style="thumbStyle"
	:content-style="contentStyle"
	:content-active-style="contentActiveStyle"
): slot
</template>

<script>
	export default {
		setup() {
			return {
				contentStyle: {
					color: '#555',
				},

				contentActiveStyle: {
					backgroundColor: '#eee',
					color: 'black',
				},

				thumbStyle: {
					right: '2px',
					borderRadius: '5px',
					backgroundColor: '#027be3',
					width: '5px',
					opacity: 0.75,
				},
			}
		},
	}
</script>

<style scoped></style>
